Bug 256050 - Digikam crashed after modifying tag name
Summary: Digikam crashed after modifying tag name
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Tags-Engine (show other bugs)
Version: 2.9.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-04 14:06 UTC by Jean-Philippe Borges
Modified: 2013-10-31 22:31 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.0.0


Attachments
New crash information added by DrKonqi (11.33 KB, text/plain)
2012-03-12 00:12 UTC, Johannes
Details
New crash information added by DrKonqi (9.56 KB, text/plain)
2012-08-31 21:10 UTC, Andrew Goodbody
Details
New crash information added by DrKonqi (16.20 KB, text/plain)
2013-01-10 10:22 UTC, Andrew Goodbody
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Philippe Borges 2010-11-04 14:06:40 UTC
Application: digikam (1.4.0)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-22-generic i686
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed: I was modifying a tag name after a tag search and the crash appeared.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb65bf740 (LWP 3802))]

Thread 15 (Thread 0xb6302b70 (LWP 3803)):
#0  0x00609416 in __kernel_vsyscall ()
#1  0x043f3de6 in poll () from /lib/libc.so.6
#2  0x09765a1b in g_poll () from /lib/libglib-2.0.so.0
#3  0x0975843c in ?? () from /lib/libglib-2.0.so.0
#4  0x09758ba7 in g_main_loop_run () from /lib/libglib-2.0.so.0
#5  0x01ebf6b4 in ?? () from /usr/lib/libgio-2.0.so.0
#6  0x0977f48f in ?? () from /lib/libglib-2.0.so.0
#7  0x003becc9 in start_thread () from /lib/libpthread.so.0
#8  0x044026ae in clone () from /lib/libc.so.6

Thread 14 (Thread 0xb3c8bb70 (LWP 3806)):
#0  0x00609416 in __kernel_vsyscall ()
#1  0x003c34dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x093ea9c7 in wait (this=0xa2d4650, mutex=0xa2d464c, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0xa2d4650, mutex=0xa2d464c, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0x083310a4 in Digikam::ScanController::run (this=0xa2d5a98) at /build/buildd/digikam-1.4.0/digikam/scancontroller.cpp:515
#5  0x093e9df9 in QThreadPrivate::start (arg=0xa2d5a98) at thread/qthread_unix.cpp:266
#6  0x003becc9 in start_thread () from /lib/libpthread.so.0
#7  0x044026ae in clone () from /lib/libc.so.6

Thread 13 (Thread 0xb348ab70 (LWP 3808)):
#0  0x03728e36 in clock_gettime () from /lib/librt.so.1
#1  0x0944550b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0x0951c6e5 in QTimerInfoList::updateCurrentTime (this=0xa4a175c) at kernel/qeventdispatcher_unix.cpp:339
#4  0x0951c72a in QTimerInfoList::timerWait (this=0xa4a175c, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x0951a7a8 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb348a0cc) at kernel/qeventdispatcher_glib.cpp:136
#6  0x0951a83d in timerSourcePrepare (source=0x0, timeout=0x372cff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0x09757e6a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x09758279 in ?? () from /lib/libglib-2.0.so.0
#9  0x09758848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x0951a59f in QEventDispatcherGlib::processEvents (this=0xa4a0da0, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0x094ea609 in QEventLoop::processEvents (this=0xb348a2a0, flags=) at kernel/qeventloop.cpp:149
#12 0x094eaa8a in QEventLoop::exec (this=0xb348a2a0, flags=...) at kernel/qeventloop.cpp:201
#13 0x093e6b7e in QThread::exec (this=0xa394ef8) at thread/qthread.cpp:490
#14 0x007fb59d in Digikam::ImageFilterModelWorker::Thread::run (this=0xa394ef8) at /build/buildd/digikam-1.4.0/obj-i686-linux-gnu/digikam/../../libs/models/imagefiltermodelthreads.h:66
#15 0x093e9df9 in QThreadPrivate::start (arg=0xa394ef8) at thread/qthread_unix.cpp:266
#16 0x003becc9 in start_thread () from /lib/libpthread.so.0
#17 0x044026ae in clone () from /lib/libc.so.6

Thread 12 (Thread 0xb1d53b70 (LWP 3809)):
#0  0x03728e36 in clock_gettime () from /lib/librt.so.1
#1  0x0944550b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0x0951c6e5 in QTimerInfoList::updateCurrentTime (this=0xa4a2cf4) at kernel/qeventdispatcher_unix.cpp:339
#4  0x0951c72a in QTimerInfoList::timerWait (this=0xa4a2cf4, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x0951a7a8 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb1d530cc) at kernel/qeventdispatcher_glib.cpp:136
#6  0x0951a83d in timerSourcePrepare (source=0x0, timeout=0x372cff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0x09757e6a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x09758279 in ?? () from /lib/libglib-2.0.so.0
#9  0x09758848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x0951a59f in QEventDispatcherGlib::processEvents (this=0xa4a0a60, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0x094ea609 in QEventLoop::processEvents (this=0xb1d532a0, flags=) at kernel/qeventloop.cpp:149
#12 0x094eaa8a in QEventLoop::exec (this=0xb1d532a0, flags=...) at kernel/qeventloop.cpp:201
#13 0x093e6b7e in QThread::exec (this=0xa4a0ae0) at thread/qthread.cpp:490
#14 0x007fb59d in Digikam::ImageFilterModelWorker::Thread::run (this=0xa4a0ae0) at /build/buildd/digikam-1.4.0/obj-i686-linux-gnu/digikam/../../libs/models/imagefiltermodelthreads.h:66
#15 0x093e9df9 in QThreadPrivate::start (arg=0xa4a0ae0) at thread/qthread_unix.cpp:266
#16 0x003becc9 in start_thread () from /lib/libpthread.so.0
#17 0x044026ae in clone () from /lib/libc.so.6

Thread 11 (Thread 0xb1552b70 (LWP 3810)):
#0  0x00609416 in __kernel_vsyscall ()
#1  0x003c34dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x093ea9c7 in wait (this=0xa4a3660, mutex=0xa4a365c, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0xa4a3660, mutex=0xa4a365c, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0x012c92d2 in Digikam::ParkingThread::run (this=0xa4a3650) at /build/buildd/digikam-1.4.0/libs/threads/threadmanager.cpp:101
#5  0x093e9df9 in QThreadPrivate::start (arg=0xa4a3650) at thread/qthread_unix.cpp:266
#6  0x003becc9 in start_thread () from /lib/libpthread.so.0
#7  0x044026ae in clone () from /lib/libc.so.6

Thread 10 (Thread 0xb0d51b70 (LWP 3811)):
#0  0x03728e36 in clock_gettime () from /lib/librt.so.1
#1  0x0944550b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0x0951c6e5 in QTimerInfoList::updateCurrentTime (this=0xa4bef34) at kernel/qeventdispatcher_unix.cpp:339
#4  0x0951c72a in QTimerInfoList::timerWait (this=0xa4bef34, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x0951a7a8 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb0d510ec) at kernel/qeventdispatcher_glib.cpp:136
#6  0x0951a83d in timerSourcePrepare (source=0x0, timeout=0x372cff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0x09757e6a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x09758279 in ?? () from /lib/libglib-2.0.so.0
#9  0x09758848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x0951a59f in QEventDispatcherGlib::processEvents (this=0xa4bd5c8, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0x094ea609 in QEventLoop::processEvents (this=0xb0d512c0, flags=) at kernel/qeventloop.cpp:149
#12 0x094eaa8a in QEventLoop::exec (this=0xb0d512c0, flags=...) at kernel/qeventloop.cpp:201
#13 0x093e6b7e in QThread::exec (this=0xa4bb8f0) at thread/qthread.cpp:490
#14 0x093e9df9 in QThreadPrivate::start (arg=0xa4bb8f0) at thread/qthread_unix.cpp:266
#15 0x003becc9 in start_thread () from /lib/libpthread.so.0
#16 0x044026ae in clone () from /lib/libc.so.6

Thread 9 (Thread 0xb0550b70 (LWP 3812)):
#0  0x03728e36 in clock_gettime () from /lib/librt.so.1
#1  0x0944550b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0x0951c6e5 in QTimerInfoList::updateCurrentTime (this=0xa4c1474) at kernel/qeventdispatcher_unix.cpp:339
#4  0x0951c72a in QTimerInfoList::timerWait (this=0xa4c1474, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x0951a7a8 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb05500ec) at kernel/qeventdispatcher_glib.cpp:136
#6  0x0951a83d in timerSourcePrepare (source=0x0, timeout=0x372cff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0x09757e6a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x09758279 in ?? () from /lib/libglib-2.0.so.0
#9  0x09758848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x0951a59f in QEventDispatcherGlib::processEvents (this=0xa4b5118, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0x094ea609 in QEventLoop::processEvents (this=0xb05502c0, flags=) at kernel/qeventloop.cpp:149
#12 0x094eaa8a in QEventLoop::exec (this=0xb05502c0, flags=...) at kernel/qeventloop.cpp:201
#13 0x093e6b7e in QThread::exec (this=0xa4b5250) at thread/qthread.cpp:490
#14 0x093e9df9 in QThreadPrivate::start (arg=0xa4b5250) at thread/qthread_unix.cpp:266
#15 0x003becc9 in start_thread () from /lib/libpthread.so.0
#16 0x044026ae in clone () from /lib/libc.so.6

Thread 8 (Thread 0xa8c22b70 (LWP 3827)):
#0  0x00609416 in __kernel_vsyscall ()
#1  0x003c3884 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x028a0b3f in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 7 (Thread 0xa8016b70 (LWP 3828)):
#0  0x00609416 in __kernel_vsyscall ()
#1  0x043fb381 in select () from /lib/libc.so.6
#2  0x028ccf1c in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x00000000 in ?? ()

Thread 6 (Thread 0xa7815b70 (LWP 3829)):
#0  0x00609416 in __kernel_vsyscall ()
#1  0x043f3de6 in poll () from /lib/libc.so.6
#2  0x09765a1b in g_poll () from /lib/libglib-2.0.so.0
#3  0x0975843c in ?? () from /lib/libglib-2.0.so.0
#4  0x09758848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x0951a59f in QEventDispatcherGlib::processEvents (this=0xa987348, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#6  0x094ea609 in QEventLoop::processEvents (this=0xa7815250, flags=) at kernel/qeventloop.cpp:149
#7  0x094eaa8a in QEventLoop::exec (this=0xa7815250, flags=...) at kernel/qeventloop.cpp:201
#8  0x093e6b7e in QThread::exec (this=0xa986f50) at thread/qthread.cpp:490
#9  0x027ff81a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#10 0x093e9df9 in QThreadPrivate::start (arg=0xa986f50) at thread/qthread_unix.cpp:266
#11 0x003becc9 in start_thread () from /lib/libpthread.so.0
#12 0x044026ae in clone () from /lib/libc.so.6

Thread 5 (Thread 0xa7014b70 (LWP 3830)):
#0  0x043f3de6 in poll () from /lib/libc.so.6
#1  0x033c8562 in ?? () from /usr/lib/libpulse.so.0
#2  0x033b4ab9 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#3  0x033b6a73 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#4  0x033b6b44 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#5  0x033c8303 in ?? () from /usr/lib/libpulse.so.0
#6  0x03026bd5 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#7  0x003becc9 in start_thread () from /lib/libpthread.so.0
#8  0x044026ae in clone () from /lib/libc.so.6

Thread 4 (Thread 0xa2812b70 (LWP 3831)):
#0  0x00609416 in __kernel_vsyscall ()
#1  0x003c34dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x028b2b54 in ?? () from /usr/lib/libxine.so.1
#3  0x00000000 in ?? ()

Thread 3 (Thread 0xa2011b70 (LWP 3832)):
#0  0x003c13ca in pthread_mutex_lock () from /lib/libpthread.so.0
#1  0x09757ea3 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#2  0x09758279 in ?? () from /lib/libglib-2.0.so.0
#3  0x09758848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x0951a59f in QEventDispatcherGlib::processEvents (this=0xaa280e8, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#5  0x094ea609 in QEventLoop::processEvents (this=0xa2011260, flags=) at kernel/qeventloop.cpp:149
#6  0x094eaa8a in QEventLoop::exec (this=0xa2011260, flags=...) at kernel/qeventloop.cpp:201
#7  0x093e6b7e in QThread::exec (this=0xaa276f0) at thread/qthread.cpp:490
#8  0x094c935b in QInotifyFileSystemWatcherEngine::run (this=0xaa276f0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x093e9df9 in QThreadPrivate::start (arg=0xaa276f0) at thread/qthread_unix.cpp:266
#10 0x003becc9 in start_thread () from /lib/libpthread.so.0
#11 0x044026ae in clone () from /lib/libc.so.6

Thread 2 (Thread 0x9ef2bb70 (LWP 3839)):
#0  0x03728e36 in clock_gettime () from /lib/librt.so.1
#1  0x0944550b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0x0951c6e5 in QTimerInfoList::updateCurrentTime (this=0xad88094) at kernel/qeventdispatcher_unix.cpp:339
#4  0x0951c72a in QTimerInfoList::timerWait (this=0xad88094, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x0951a7a8 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x9ef2b08c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x0951a83d in timerSourcePrepare (source=0x0, timeout=0x372cff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0x09757e6a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x09758279 in ?? () from /lib/libglib-2.0.so.0
#9  0x09758848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x0951a59f in QEventDispatcherGlib::processEvents (this=0xad67628, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0x094ea609 in QEventLoop::processEvents (this=0x9ef2b260, flags=) at kernel/qeventloop.cpp:149
#12 0x094eaa8a in QEventLoop::exec (this=0x9ef2b260, flags=...) at kernel/qeventloop.cpp:201
#13 0x093e6b7e in QThread::exec (this=0xad62620) at thread/qthread.cpp:490
#14 0x094c935b in QInotifyFileSystemWatcherEngine::run (this=0xad62620) at io/qfilesystemwatcher_inotify.cpp:248
#15 0x093e9df9 in QThreadPrivate::start (arg=0xad62620) at thread/qthread_unix.cpp:266
#16 0x003becc9 in start_thread () from /lib/libpthread.so.0
#17 0x044026ae in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb65bf740 (LWP 3802)):
[KCrash Handler]
#7  QModelIndex (this=0xad19a58, source_parent=...) at ../../include/QtCore/../../src/corelib/kernel/qabstractitemmodel.h:65
#8  QSortFilterProxyModelPrivate::filter_changed (this=0xad19a58, source_parent=...) at itemviews/qsortfilterproxymodel.cpp:1040
#9  0x05332b6d in QSortFilterProxyModelPrivate::filter_changed (this=0xad19a58, source_parent=...) at itemviews/qsortfilterproxymodel.cpp:1045
#10 0x05332b6d in QSortFilterProxyModelPrivate::filter_changed (this=0xad19a58, source_parent=...) at itemviews/qsortfilterproxymodel.cpp:1045
#11 0x05332b6d in QSortFilterProxyModelPrivate::filter_changed (this=0xad19a58, source_parent=...) at itemviews/qsortfilterproxymodel.cpp:1045
#12 0x05332b6d in QSortFilterProxyModelPrivate::filter_changed (this=0xad19a58, source_parent=...) at itemviews/qsortfilterproxymodel.cpp:1045
#13 0x05332b6d in QSortFilterProxyModelPrivate::filter_changed (this=0xad19a58, source_parent=...) at itemviews/qsortfilterproxymodel.cpp:1045
#14 0x05332b6d in QSortFilterProxyModelPrivate::filter_changed (this=0xad19a58, source_parent=...) at itemviews/qsortfilterproxymodel.cpp:1045
#15 0x05332c43 in QSortFilterProxyModel::invalidateFilter (this=0xad19a38) at itemviews/qsortfilterproxymodel.cpp:2349
#16 0x08264123 in Digikam::AlbumFilterModel::setSearchTextSettings (this=0xad19a38, settings=...) at /build/buildd/digikam-1.4.0/libs/models/albumfiltermodel.cpp:67
#17 0x0826445a in Digikam::AlbumFilterModel::qt_metacall (this=0xad19a38, _c=QMetaObject::InvokeMetaMethod, _id=48, _a=0xbf8fe4f8) at /build/buildd/digikam-1.4.0/obj-i686-linux-gnu/digikam/albumfiltermodel.moc:89
#18 0x094f18ca in QMetaObject::metacall (object=0xad19a38, cl=29, idx=48, argv=0xbf8fe4f8) at kernel/qmetaobject.cpp:237
#19 0x095046ad in QMetaObject::activate (sender=0xad1ad88, m=0x14bacf4, local_signal_index=0, argv=0xab8a048) at kernel/qobject.cpp:3280
#20 0x0131df73 in Digikam::SearchTextBar::signalSearchTextSettings (this=0xad1ad88, _t1=...) at /build/buildd/digikam-1.4.0/obj-i686-linux-gnu/digikam/searchtextbar.moc:95
#21 0x0131e0c5 in Digikam::SearchTextBar::slotTextChanged (this=0xad1ad88, text=...) at /build/buildd/digikam-1.4.0/libs/widgets/common/searchtextbar.cpp:252
#22 0x0131ea15 in Digikam::SearchTextBar::qt_metacall (this=0xad1ad88, _c=QMetaObject::InvokeMetaMethod, _id=78, _a=0xbf8fe678) at /build/buildd/digikam-1.4.0/obj-i686-linux-gnu/digikam/searchtextbar.moc:83
#23 0x094f18ca in QMetaObject::metacall (object=0xad1ad88, cl=29, idx=78, argv=0xbf8fe678) at kernel/qmetaobject.cpp:237
#24 0x095046ad in QMetaObject::activate (sender=0xad1ad88, m=0x84cf880, local_signal_index=4, argv=0xab8a048) at kernel/qobject.cpp:3280
#25 0x05ca8313 in KLineEdit::userTextChanged (this=0xad1ad88, _t1=...) at ./klineedit.moc:246
#26 0x05cb12d4 in _k_textChanged (this=0xad1ad88, _c=QMetaObject::InvokeMetaMethod, _id=28, _a=0xbf8fe7f8) at ../../kdeui/widgets/klineedit.cpp:112
#27 KLineEdit::qt_metacall (this=0xad1ad88, _c=QMetaObject::InvokeMetaMethod, _id=28, _a=0xbf8fe7f8) at ./klineedit.moc:167
#28 0x0131e9ba in Digikam::SearchTextBar::qt_metacall (this=0xad1ad88, _c=QMetaObject::InvokeMetaMethod, _id=75, _a=0xbf8fe7f8) at /build/buildd/digikam-1.4.0/obj-i686-linux-gnu/digikam/searchtextbar.moc:76
#29 0x094f18ca in QMetaObject::metacall (object=0xad1ad88, cl=29, idx=75, argv=0xbf8fe7f8) at kernel/qmetaobject.cpp:237
#30 0x095046ad in QMetaObject::activate (sender=0xad1ad88, m=0x564b3d4, local_signal_index=0, argv=0xab8a048) at kernel/qobject.cpp:3280
#31 0x05155bf3 in QLineEdit::textChanged (this=0xad1ad88, _t1=...) at .moc/release-shared/moc_qlineedit.cpp:242
#32 0x0515976d in QLineEdit::qt_metacall (this=0xad1ad88, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbf8fe9d8) at .moc/release-shared/moc_qlineedit.cpp:158
#33 0x05cb106a in KLineEdit::qt_metacall (this=0xad1ad88, _c=QMetaObject::InvokeMetaMethod, _id=27, _a=0xbf8fe9d8) at ./klineedit.moc:133
#34 0x0131e9ba in Digikam::SearchTextBar::qt_metacall (this=0xad1ad88, _c=QMetaObject::InvokeMetaMethod, _id=27, _a=0xbf8fe9d8) at /build/buildd/digikam-1.4.0/obj-i686-linux-gnu/digikam/searchtextbar.moc:76
#35 0x094f18ca in QMetaObject::metacall (object=0xad1ad88, cl=29, idx=27, argv=0xbf8fe9d8) at kernel/qmetaobject.cpp:237
#36 0x095046ad in QMetaObject::activate (sender=0xad1b560, m=0x56596c8, local_signal_index=3, argv=0xab8a048) at kernel/qobject.cpp:3280
#37 0x05438a23 in QLineControl::textChanged (this=0xad1b560, _t1=...) at .moc/release-shared/moc_qlinecontrol_p.cpp:131
#38 0x05160943 in QLineControl::finishChange (this=0xad1b560, validateFromState=14, update=false, edited=true) at widgets/qlinecontrol.cpp:605
#39 0x051616fc in QLineControl::backspace (this=0xad1b560) at widgets/qlinecontrol.cpp:181
#40 0x05162cc4 in QLineControl::processKeyEvent (this=0xad1b560, event=0xbf8ff334) at widgets/qlinecontrol.cpp:1747
#41 0x05155ec5 in QLineEdit::keyPressEvent (this=0xad1ad88, event=0xbf8ff334) at widgets/qlineedit.cpp:1665
#42 0x05cae0c9 in KLineEdit::keyPressEvent (this=0xad1ad88, e=0xbf8ff334) at ../../kdeui/widgets/klineedit.cpp:940
#43 0x04d24b13 in QWidget::event (this=0xad1ad88, event=0xbf8ff334) at kernel/qwidget.cpp:8222
#44 0x0515759b in QLineEdit::event (this=0xad1ad88, e=0xbf8ff334) at widgets/qlineedit.cpp:1482
#45 0x05cacb6b in KLineEdit::event (this=0xad1ad88, ev=0xbf8ff334) at ../../kdeui/widgets/klineedit.cpp:1394
#46 0x04cc6fdc in QApplicationPrivate::notify_helper (this=0xa0f09f8, receiver=0xad1ad88, e=0xbf8ff334) at kernel/qapplication.cpp:4396
#47 0x04cceac9 in QApplication::notify (this=0xbf8ffe0c, receiver=0xad1ad88, e=0xbf8ff334) at kernel/qapplication.cpp:3857
#48 0x05bbe68a in KApplication::notify (this=0xbf8ffe0c, receiver=0xad1ad88, event=0xbf8ff334) at ../../kdeui/kernel/kapplication.cpp:310
#49 0x094ebb3b in QCoreApplication::notifyInternal (this=0xbf8ffe0c, receiver=0xad1ad88, event=0xbf8ff334) at kernel/qcoreapplication.cpp:732
#50 0x04cc6b9e in sendSpontaneousEvent (receiver=0xad1ad88, event=0xabb6fe0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#51 qt_sendSpontaneousEvent (receiver=0xad1ad88, event=0xabb6fe0) at kernel/qapplication.cpp:5388
#52 0x04d8369d in QKeyMapper::sendKeyEvent (keyWidget=0xad1ad88, grab=false, type=QEvent::KeyPress, code=16777219, modifiers=..., text=..., autorepeat=<value optimized out>, count=<value optimized out>, nativeScanCode=22, nativeVirtualKey=65288, nativeModifiers=16) at kernel/qkeymapper_x11.cpp:1867
#53 0x04d85b49 in QKeyMapperPrivate::translateKeyEvent (this=0xa11c908, keyWidget=0xad1ad88, event=0xbf8ff9fc, grab=72) at kernel/qkeymapper_x11.cpp:1837
#54 0x04d59387 in QApplication::x11ProcessEvent (this=0xbf8ffe0c, event=0xbf8ff9fc) at kernel/qapplication_x11.cpp:3429
#55 0x04d8936a in x11EventSourceDispatch (s=0xa0f3ca8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#56 0x09754855 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#57 0x09758668 in ?? () from /lib/libglib-2.0.so.0
#58 0x09758848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#59 0x0951a565 in QEventDispatcherGlib::processEvents (this=0xa0f09d8, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#60 0x04d88be5 in QGuiEventDispatcherGlib::processEvents (this=0xa0f09d8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#61 0x094ea609 in QEventLoop::processEvents (this=0xbf8ffcf4, flags=) at kernel/qeventloop.cpp:149
#62 0x094eaa8a in QEventLoop::exec (this=0xbf8ffcf4, flags=...) at kernel/qeventloop.cpp:201
#63 0x094ef00f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#64 0x04cc5e07 in QApplication::exec () at kernel/qapplication.cpp:3672
#65 0x083c06b3 in main (argc=5, argv=0xbf900274) at /build/buildd/digikam-1.4.0/digikam/main.cpp:195

Reported using DrKonqi
Comment 1 caulier.gilles 2010-11-04 14:38:27 UTC
#16 0x08264123 in Digikam::AlbumFilterModel::setSearchTextSettings
(this=0xad19a38, settings=...) at
/build/buildd/digikam-1.4.0/libs/models/albumfiltermodel.cpp:67


Marcel, This have not been reported already ?

Jean-Philipe, please update to digiKam 1.5.0. A lots of bugs have been fixed.

Gilles Caulier
Comment 2 Marcel Wiesweg 2010-11-04 14:46:53 UTC
The immediate crash looks like memory corruption inside QSortFilterProxyModel, on this line:
const QModelIndex source_child_index = *it2;
which is 1003 in Qt 4.6.

I have no idea about the underlying problem.
Comment 3 caulier.gilles 2010-11-16 05:02:33 UTC
*** Bug 257033 has been marked as a duplicate of this bug. ***
Comment 4 caulier.gilles 2010-11-24 09:13:48 UTC
digiKam 1.6.0 is out:

http://www.digikam.org/drupal/node/550

Please update and check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 5 Jean-Philippe Borges 2010-11-24 14:53:50 UTC
I upgraded to 1.6 and now all works fine.

Best,
Comment 6 caulier.gilles 2011-03-07 22:40:32 UTC
*** Bug 267901 has been marked as a duplicate of this bug. ***
Comment 7 caulier.gilles 2012-02-14 06:15:09 UTC
*** Bug 294043 has been marked as a duplicate of this bug. ***
Comment 8 David Fraser 2012-02-15 13:10:49 UTC
My bug 294043 has been marked as a duplicate of this one; I reproduced this bug in a recent build, and there were no actual fixes made to prevent it, so this bug should be re-opened.
Comment 9 Marcel Wiesweg 2012-02-19 18:12:29 UTC
David, can you reproduce this bug?
What is your Qt version?
Comment 10 caulier.gilles 2012-02-29 04:30:45 UTC
*** Bug 295041 has been marked as a duplicate of this bug. ***
Comment 11 David Fraser 2012-03-09 06:39:52 UTC
(In reply to comment #9)
> David, can you reproduce this bug?
> What is your Qt version?

I did find a way to reliably reproduce this using my database. If I entered a tag such as "supper" or "sushi" and typed the whole tagname in, then deleted character by character, the crash happened when deleting the character "u". I reproduced this 8 times in a row on my database.

However, I then (in an effort to make this reproducible for others) tried to reproduce this on an empty database with only one photo, and with my tag set imported into it. This didn't crash. I then switched back to my main database, and that combination is no longer producing the crash at all :( This is really puzzling; the only thing I can think is that there was a threading issue with a background thread doing image indexing or something like that.

I'm on Ubuntu 11.10 using the standard digikam 2:2.1.1-0ubuntu1 with qt version 4:4.7.4-0ubuntu8.1
(Sorry for the slow reply, I somehow missed this question)
Comment 12 Johannes 2012-03-12 00:12:31 UTC
Created attachment 69520 [details]
New crash information added by DrKonqi

digikam (2.5.0) on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

I tipped in the tag name "12" in the search field for adding tags, one image was seleceted, and then digikam crashed. Possibly I pressed another key by accident.

I'm using digikam out of this ppa: https://launchpad.net/~philip5/+archive/extra/

-- Backtrace (Reduced):
#6  QModelIndex (other=<optimized out>, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qabstractitemmodel.h:65
#7  QSortFilterProxyModelPrivate::filter_changed (this=0x39fff40, source_parent=<optimized out>) at itemviews/qsortfilterproxymodel.cpp:1040
#8  0x00007f27f1699dda in QSortFilterProxyModelPrivate::filter_changed (this=0x39fff40, source_parent=<optimized out>) at itemviews/qsortfilterproxymodel.cpp:1045
#9  0x00007f27f1699dda in QSortFilterProxyModelPrivate::filter_changed (this=0x39fff40, source_parent=<optimized out>) at itemviews/qsortfilterproxymodel.cpp:1045
#10 0x00007f27f1699eb1 in QSortFilterProxyModel::invalidateFilter (this=<optimized out>) at itemviews/qsortfilterproxymodel.cpp:2358
Comment 13 caulier.gilles 2012-06-22 08:49:30 UTC
Official digiKam 2.6.0 release is out since few days now :

http://www.digikam.org/drupal/node/656

Please, check if this entry still valid, or update report accordingly.

Thanks in advance.

Gilles Caulier
Comment 14 Andrew Goodbody 2012-08-31 21:10:57 UTC
Created attachment 73584 [details]
New crash information added by DrKonqi

digikam (2.6.0) on KDE Platform 4.8.4 (4.8.4) using Qt 4.8.2

- What I was doing when the application crashed:

Deleting a tag search filter using backspace

-- Backtrace (Reduced):
#6  QModelIndex (other=..., this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qabstractitemmodel.h:65
#7  QSortFilterProxyModelPrivate::filter_changed (this=this@entry=0x3a61620, source_parent=...) at itemviews/qsortfilterproxymodel.cpp:1042
#8  0x00007f4181e572a0 in QSortFilterProxyModelPrivate::filter_changed (this=this@entry=0x3a61620, source_parent=...) at itemviews/qsortfilterproxymodel.cpp:1047
#9  0x00007f4181e572a0 in QSortFilterProxyModelPrivate::filter_changed (this=0x3a61620, source_parent=...) at itemviews/qsortfilterproxymodel.cpp:1047
#10 0x00007f4181e57351 in QSortFilterProxyModel::invalidateFilter (this=<optimized out>) at itemviews/qsortfilterproxymodel.cpp:2360
Comment 15 Andrew Goodbody 2012-08-31 21:14:49 UTC
Filter tags using the search box on the lower right of the screen. Clear the filter text using the backspace key, hold it down so that it auto-repeats, when it hits the beginning of the line then it will crash.
Comment 16 Andrew Goodbody 2012-09-04 16:47:47 UTC
I triggered this bug on 2.8.0 last night. It does not happen every time. At least I tried to trigger it when I first launched digikam but without success. The crash happened after I had been tagging some pictures for a while.
Comment 17 Andrew Goodbody 2013-01-10 10:22:35 UTC
Created attachment 76363 [details]
New crash information added by DrKonqi

digikam (2.9.0) on KDE Platform 4.8.4 (4.8.4) using Qt 4.8.2

- What I was doing when the application crashed:

Tagging >500 photos. Selecting some photos and searching for a tag using filter box, then clearing filter box with backspace. System was a bit unresponsive, so attempted to backspace beyond beginning of line.

-- Backtrace (Reduced):
#6  QModelIndex (other=..., this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qabstractitemmodel.h:65
#7  QSortFilterProxyModelPrivate::filter_changed (this=this@entry=0x1d41f20, source_parent=...) at itemviews/qsortfilterproxymodel.cpp:1042
#8  0x00007fe98ce03260 in QSortFilterProxyModelPrivate::filter_changed (this=this@entry=0x1d41f20, source_parent=...) at itemviews/qsortfilterproxymodel.cpp:1047
#9  0x00007fe98ce03260 in QSortFilterProxyModelPrivate::filter_changed (this=0x1d41f20, source_parent=...) at itemviews/qsortfilterproxymodel.cpp:1047
#10 0x00007fe98ce03311 in QSortFilterProxyModel::invalidateFilter (this=<optimized out>) at itemviews/qsortfilterproxymodel.cpp:2360
Comment 18 caulier.gilles 2013-10-30 15:51:34 UTC
digiKam 3.5.0 is out.

Can you give a fresh feedback about your report ? Crash still reproducible ?

Thanks in advance

Gilles Caulier
Comment 19 Jean-Philippe Borges 2013-10-31 18:54:52 UTC
Since digikam 1.6, all works fine.

Thanks


2013/10/30 Gilles Caulier <caulier.gilles@gmail.com>

> https://bugs.kde.org/show_bug.cgi?id=256050
>
> --- Comment #18 from Gilles Caulier <caulier.gilles@gmail.com> ---
> digiKam 3.5.0 is out.
>
> Can you give a fresh feedback about your report ? Crash still reproducible
> ?
>
> Thanks in advance
>
> Gilles Caulier
>
> --
> You are receiving this mail because:
> You reported the bug.
>